怎样安装多版本的 gcc

为当前最终发行版之前的所有版本提供支持
回复
forrestji
帖子: 2
注册时间: 2007-09-08 0:16
送出感谢: 0
接收感谢: 0

怎样安装多版本的 gcc

#1

帖子 forrestji » 2007-09-08 0:20

我目前机器gcc的版本是 gcc4.1.2, 但是我想安装一个老的版本gcc3.3 ,然后在两个版本之间切换,请高手指教.
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#2

帖子 stlxv » 2007-09-08 0:37

直接用新立得软件包管理器来安装就行了

装完了直接用就行了,程序是/usr/bin/gcc*
PHP是最好的语言!不服来战!
forrestji
帖子: 2
注册时间: 2007-09-08 0:16
送出感谢: 0
接收感谢: 0

有些不明白

#3

帖子 forrestji » 2007-09-08 7:19

我如果下载了 g3.3的 源文件包,然后 ./configure , make, make install 后, 这个版本不是也装到 /usr/bin下了吗? 可是我原来有一个更告的gcc4.1.2 已经安装在该路径下了,这两个版本会不会冲突呢?
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#4

帖子 xhy » 2007-09-08 9:47

$ gcc-config -l
[1] x86_64-pc-linux-gnu-4.1.2 *


可以用gcc-config来显示列表 获得路径
目前负债150多万
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

Re: 有些不明白

#5

帖子 stlxv » 2007-09-08 11:02

forrestji 写了:我如果下载了 g3.3的 源文件包,然后 ./configure , make, make install 后, 这个版本不是也装到 /usr/bin下了吗? 可是我原来有一个更告的gcc4.1.2 已经安装在该路径下了,这两个版本会不会冲突呢?
放心地打开新立得软件包管理器直接安装就行了,不要用其他方法
PHP是最好的语言!不服来战!
回复

回到 “老旧版本支持”